RubyGems Navigation menu

pg 0.13.0-x86-mingw32

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.3 and later}[http://bit.ly/6AfPhm]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versions:

  1. 0.18.0.pre20141117110243 - November 17, 2014 (206 KB)
  2. 0.18.0.pre20141117110243 - November 17, 2014 x64-mingw32 (1.33 MB)
  3. 0.18.0.pre20141117110243 - November 17, 2014 x86-mingw32 (1.35 MB)
  4. 0.18.0.pre20141017160319 - October 21, 2014 x64-mingw32 (1.26 MB)
  5. 0.18.0.pre20141017160319 - October 21, 2014 x86-mingw32 (1.27 MB)
Show all versions (81 total)

Authors:

  • Michael Granger

Owners:

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

Total downloads 12,618,913

For this version 1,089

Show all versions (81 total)

Required Ruby Version: None

Licenses:

N/A

Gemfile:
gem 'pg', '~> 0.13.0' = Copy to clipboard Copied!

install:
gem install pg -v 0.13.0 = Copy to clipboard Copied!

Links: